AOZ Studio Beta - Bug #834

Transpiler mixing up Variable names with Function names
09/26/2021 07:56 AM - Phil Bell

Status: New Start date: 09/26/2021
Priority: Normal Due date:

Assignee: AQOZ Developers % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B10) u16

Description

When you have a variable named the same as a function name, albeit with underscores '_' in the place of spaces....

Variable : PLAYER_NAME$
Function : Player Name$()

If you pass PLAYER_NAMES$ into an instruction - the transpile is actually using the Player Name$() function instead of the variable
Here is an example of the generated code in the application.js

// UI Value "UIPlayerName", PLAYER_NAMES

aoz.sourcePos="0:7:0";

aoz.ui.setValue( { id: "UIPlayerName", value: this.aoz.player.getPlayerPropertyValue ('play
ername') |

History

#1 - 10/02/2021 09:46 PM - Brian Flanagan

- Assignee set to AOZ Developers

Verified. | had a similar problem when | was setting a variable called Shape$ .
Apparently, it got an error because it was being confused for the Shape instruction.
